#!/bin/sh

cd $(dirname $0)

cd deploy

PGID=` cat /proc/$$/stat | awk '{print $5}'`
echo $PGID > /var/run/hmi-qvncviewer.pid # save pid for termination
(
    # export required variables (not availables if started by jmlauncher daemon)
    export USER=`busybox whoami`
    export HOME=`eval echo ~$USER`
    echo "Starting qvncviewer as user \"$USER\" with home \"$HOME\""
    DISPLAY=:0 ./start.sh $@;          # start process and get pid
    dbus-send --print-reply --system --dest=com.exor.JMLauncher '/' com.exor.JMLauncher.appFinished string:"VNC Viewer" 
    PID="`$(cat /var/run/hmi-qvncviewer.pid)`"
    rm /var/run/hmi-qvncviewer.pid
    pkill -TERM  -s $PID;       # kill all child spawned processes if any
    # notifies jmlauncher daemon we finished
) &

# wait jmobile is started
sleep 5

if ( pgrep qvncviewer > /dev/null 2>&1 ); then
	dbus-send --print-reply --system --dest=com.exor.JMLauncher '/' com.exor.JMLauncher.appLoaded string:"VNC Viewer"
fi


